[SCM] CTDB repository - branch master updated - ctdb-1.0.89-40-g0e6a52e

Ronnie Sahlberg sahlberg at samba.org
Thu Sep 17 22:24:11 MDT 2009


The branch, master has been updated
       via  0e6a52ee66830e7742eaa392cd3dd9caeb808fb3 (commit)
       via  31216fd48117526c943e42d137ce24ef89fa0009 (commit)
       via  a2aaef03d4d6bbd4b42f50f732254935d4d3469c (commit)
       via  407b3117dfc1072117abf681ec98b9e252d8744c (commit)
      from  3085170be8460e59996a3eee4e29fec9ddbcf0f8 (commit)

http://gitweb.samba.org/?p=sahlberg/ctdb.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 0e6a52ee66830e7742eaa392cd3dd9caeb808fb3
Merge: 3085170be8460e59996a3eee4e29fec9ddbcf0f8 31216fd48117526c943e42d137ce24ef89fa0009
Author: Ronnie Sahlberg <ronniesahlberg at gmail.com>
Date:   Fri Sep 18 14:23:37 2009 +1000

    Merge commit 'martins/master'

commit 31216fd48117526c943e42d137ce24ef89fa0009
Author: Martin Schwenke <martin at meltin.net>
Date:   Fri Sep 11 16:15:31 2009 +1000

    Test suite: Update "complex" tests for wait_until_node_has_status() change.
    
    Signed-off-by: Martin Schwenke <martin at meltin.net>

commit a2aaef03d4d6bbd4b42f50f732254935d4d3469c
Author: Martin Schwenke <martin at meltin.net>
Date:   Fri Sep 11 15:55:53 2009 +1000

    Test suite: wait_until_node_has_status() now uses "onnode any".
    
    Many tests currently do this sort of thing:
    
      onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status 1 disconnected
    
    In fact, they all use exactly the same "onnode 0 $CTDB_TEST_WRAPPER"
    idiom.  This is both repetitious and dangerous, since node 0 might be
    shutdown during a test.  Instead, we push "onnode any
    $CTDB_TEST_WRAPPER" (which selects a connected node) into
    wait_until_node_has_status() and just call that function directly in
    tests, like this:
    
      wait_until_node_has_status 1 disconnected
    
    Signed-off-by: Martin Schwenke <martin at meltin.net>

commit 407b3117dfc1072117abf681ec98b9e252d8744c
Author: Martin Schwenke <martin at meltin.net>
Date:   Fri Sep 11 14:06:12 2009 +1000

    Test suite: Rework the cluster (re)start code.
    
    Make it possible to start on only 1 node - for tests that need to
    restart a particular node.
    
    _ctdb_hack_options() attempts to see what options are being passed to
    a daemon that is being run via the initscript.  It then sets a
    corresponding environment variable that the initscript knows about.
    Currently only the --start-as-stopped option is supported.  This is
    extremely ugly but it seems like the only way...  :-(
    
    Signed-off-by: Martin Schwenke <martin at meltin.net>

-----------------------------------------------------------------------

Summary of changes:
 tests/complex/31_nfs_tickle.sh                     |    2 +-
 tests/complex/32_cifs_tickle.sh                    |    2 +-
 tests/complex/33_gratuitous_arp.sh                 |    2 +-
 tests/complex/41_failover_ping_discrete.sh         |    2 +-
 tests/complex/42_failover_ssh_hostname.sh          |    2 +-
 tests/complex/43_failover_nfs_basic.sh             |    2 +-
 tests/complex/44_failover_nfs_oneway.sh            |    2 +-
 tests/scripts/ctdb_test_functions.bash             |  128 ++++++++++++++++----
 tests/simple/09_ctdb_ping.sh                       |    2 +-
 tests/simple/18_ctdb_freeze.sh                     |    2 +-
 tests/simple/19_ctdb_thaw.sh                       |    4 +-
 tests/simple/20_ctdb_getmonmode.sh                 |    2 +-
 tests/simple/21_ctdb_disablemonitor.sh             |    4 +-
 tests/simple/22_ctdb_enablemonitor.sh              |    6 +-
 ..._ctdb_config_check_error_on_unreachable_ctdb.sh |    2 +-
 tests/simple/31_ctdb_disable.sh                    |    2 +-
 tests/simple/32_ctdb_enable.sh                     |    4 +-
 tests/simple/41_ctdb_stop.sh                       |    2 +-
 tests/simple/42_ctdb_continue.sh                   |    4 +-
 tests/simple/43_stop_recmaster_yield.sh            |    2 +-
 20 files changed, 129 insertions(+), 49 deletions(-)


Changeset truncated at 500 lines:

diff --git a/tests/complex/31_nfs_tickle.sh b/tests/complex/31_nfs_tickle.sh
index 219fc0e..b2c3964 100755
--- a/tests/complex/31_nfs_tickle.sh
+++ b/tests/complex/31_nfs_tickle.sh
@@ -96,6 +96,6 @@ tcptickle_sniff_start $src_socket "${test_ip}:${test_port}"
 
 echo "Disabling node $test_node"
 try_command_on_node 1 $CTDB disable -n $test_node
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 tcptickle_sniff_wait_show
diff --git a/tests/complex/32_cifs_tickle.sh b/tests/complex/32_cifs_tickle.sh
index 4ce74f9..2280e81 100755
--- a/tests/complex/32_cifs_tickle.sh
+++ b/tests/complex/32_cifs_tickle.sh
@@ -87,6 +87,6 @@ tcptickle_sniff_start $src_socket "${test_ip}:${test_port}"
 
 echo "Disabling node $test_node"
 try_command_on_node 1 $CTDB disable -n $test_node
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 tcptickle_sniff_wait_show
diff --git a/tests/complex/33_gratuitous_arp.sh b/tests/complex/33_gratuitous_arp.sh
index e94a914..8a3de03 100755
--- a/tests/complex/33_gratuitous_arp.sh
+++ b/tests/complex/33_gratuitous_arp.sh
@@ -69,7 +69,7 @@ gratarp_sniff_start
 
 echo "Disabling node $test_node"
 try_command_on_node 1 $CTDB disable -n $test_node
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 gratarp_sniff_wait_show
 
diff --git a/tests/complex/41_failover_ping_discrete.sh b/tests/complex/41_failover_ping_discrete.sh
index 32841c5..73bc84e 100755
--- a/tests/complex/41_failover_ping_discrete.sh
+++ b/tests/complex/41_failover_ping_discrete.sh
@@ -57,7 +57,7 @@ gratarp_sniff_start
 
 echo "Disabling node $test_node"
 try_command_on_node 1 $CTDB disable -n $test_node
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 gratarp_sniff_wait_show
 
diff --git a/tests/complex/42_failover_ssh_hostname.sh b/tests/complex/42_failover_ssh_hostname.sh
index 4b3ed88..f1a01f7 100755
--- a/tests/complex/42_failover_ssh_hostname.sh
+++ b/tests/complex/42_failover_ssh_hostname.sh
@@ -60,7 +60,7 @@ gratarp_sniff_start
 
 echo "Disabling node $test_node"
 try_command_on_node 1 $CTDB disable -n $test_node
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 gratarp_sniff_wait_show
 
diff --git a/tests/complex/43_failover_nfs_basic.sh b/tests/complex/43_failover_nfs_basic.sh
index aa3a65c..883a452 100755
--- a/tests/complex/43_failover_nfs_basic.sh
+++ b/tests/complex/43_failover_nfs_basic.sh
@@ -71,7 +71,7 @@ gratarp_sniff_start
 
 echo "Disabling node $test_node"
 try_command_on_node 0 $CTDB disable -n $test_node
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 gratarp_sniff_wait_show
 
diff --git a/tests/complex/44_failover_nfs_oneway.sh b/tests/complex/44_failover_nfs_oneway.sh
index 258670b..8fa12b9 100755
--- a/tests/complex/44_failover_nfs_oneway.sh
+++ b/tests/complex/44_failover_nfs_oneway.sh
@@ -90,7 +90,7 @@ gratarp_sniff_start
 
 echo "Disabling node $test_node"
 try_command_on_node 0 $CTDB disable -n $test_node
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 gratarp_sniff_wait_show
 
diff --git a/tests/scripts/ctdb_test_functions.bash b/tests/scripts/ctdb_test_functions.bash
index 8fd6141..57cd781 100644
--- a/tests/scripts/ctdb_test_functions.bash
+++ b/tests/scripts/ctdb_test_functions.bash
@@ -417,7 +417,7 @@ wait_until_node_has_status ()
 
     echo "Waiting until node $pnn has status \"$status\"..."
 
-    wait_until $timeout node_has_status "$pnn" "$status"
+    onnode any $CTDB_TEST_WRAPPER wait_until $timeout node_has_status "$pnn" "$status"
 }
 
 # Useful for superficially testing IP failover.
@@ -607,7 +607,7 @@ daemons_stop ()
 
 daemons_setup ()
 {
-    local num_nodes="${1:-2}" # default is 2 nodes
+    local num_nodes="${CTDB_TEST_NUM_DAEMONS:-2}" # default is 2 nodes
 
     local var_dir=$CTDB_DIR/tests/var
 
@@ -640,9 +640,9 @@ daemons_setup ()
     done
 }
 
-daemons_start ()
+daemons_start_1 ()
 {
-    local num_nodes="${1:-2}" # default is 2 nodes
+    local pnn="$1"
     shift # "$@" gets passed to ctdbd
 
     local var_dir=$CTDB_DIR/tests/var
@@ -654,28 +654,40 @@ daemons_start ()
     local no_public_ips=-1
     [ -r $no_public_addresses ] && read no_public_ips <$no_public_addresses
 
+    if  [ "$no_public_ips" = $pnn ] ; then
+	echo "Node $no_public_ips will have no public IPs."
+    fi
+
     local ctdb_options="--reclock=$var_dir/rec.lock --nlist $nodes --nopublicipcheck --event-script-dir=$CTDB_DIR/tests/events.d --logfile=$var_dir/daemons.log -d 0 --dbdir=$var_dir/test.db --dbdir-persistent=$var_dir/test.db/persistent"
 
-    echo "Starting $num_nodes ctdb daemons..."
-    if  [ "$no_public_ips" != -1 ] ; then
-	echo "Node $no_public_ips will have no public IPs."
+    if [ $(id -u) -eq 0 ]; then
+        ctdb_options="$ctdb_options --public-interface=lo"
     fi
 
-    for i in $(seq 0 $(($num_nodes - 1))) ; do
-	if [ $(id -u) -eq 0 ]; then
-            ctdb_options="$ctdb_options --public-interface=lo"
-	fi
+    if [ $pnn -eq $no_public_ips ] ; then
+	ctdb_options="$ctdb_options --public-addresses=/dev/null"
+    else
+	ctdb_options="$ctdb_options --public-addresses=$public_addresses"
+    fi
 
-	if [ $i -eq $no_public_ips ] ; then
-	    ctdb_options="$ctdb_options --public-addresses=/dev/null"
-	else
-	    ctdb_options="$ctdb_options --public-addresses=$public_addresses"
-	fi
+    # Need full path so we can use "pkill -f" to kill the daemons.
+    $VALGRIND $CTDB_DIR/bin/ctdbd --socket=$var_dir/sock.$pnn $ctdb_options "$@" ||return 1
+}
+
+daemons_start ()
+{
+    # "$@" gets passed to ctdbd
 
-	# Need full path so we can use "pkill -f" to kill the daemons.
-	$VALGRIND $CTDB_DIR/bin/ctdbd --socket=$var_dir/sock.$i $ctdb_options "$@" ||return 1
+    local num_nodes="${CTDB_TEST_NUM_DAEMONS:-2}" # default is 2 nodes
+
+    echo "Starting $num_nodes ctdb daemons..."
+
+    for i in $(seq 0 $(($num_nodes - 1))) ; do
+	daemons_start_1 $i "$@"
     done
 
+    local var_dir=$CTDB_DIR/tests/var
+
     if [ -L /tmp/ctdb.socket -o ! -S /tmp/ctdb.socket ] ; then 
 	ln -sf $var_dir/sock.0 /tmp/ctdb.socket || return 1
     fi
@@ -683,8 +695,26 @@ daemons_start ()
 
 #######################################
 
+_ctdb_hack_options ()
+{
+    local ctdb_options="$*"
+
+    # We really just want to pass CTDB_OPTIONS but on RH
+    # /etc/sysconfig/ctdb can, and frequently does, set that variable.
+    # So instead, we hack badly.  We'll add these as we use them.
+    # Note that these may still be overridden by the above file... but
+    # we tend to use the exotic options here... so that is unlikely.
+
+    case "$ctdb_options" in
+	*--start-as-stopped*)
+	    export CTDB_START_AS_STOPPED="yes"
+    esac
+}
+
 _restart_ctdb ()
 {
+    _ctdb_hack_options "$@"
+
     if [ -e /etc/redhat-release ] ; then
 	service ctdb restart
     else
@@ -692,31 +722,81 @@ _restart_ctdb ()
     fi
 }
 
+_ctdb_start ()
+{
+    _ctdb_hack_options "$@"
+
+    /etc/init.d/ctdb start
+}
+
 setup_ctdb ()
 {
     if [ -n "$CTDB_NODES_SOCKETS" ] ; then
-	daemons_setup $CTDB_TEST_NUM_DAEMONS
+	daemons_setup
+    fi
+}
+
+# Common things to do after starting one or more nodes.
+_ctdb_start_post ()
+{
+    onnode -q 1  $CTDB_TEST_WRAPPER wait_until_healthy || return 1
+
+    echo "Setting RerecoveryTimeout to 1"
+    onnode -pq all "ctdb setvar RerecoveryTimeout 1"
+
+    # In recent versions of CTDB, forcing a recovery like this blocks
+    # until the recovery is complete.  Hopefully this will help the
+    # cluster to stabilise before a subsequent test.
+    echo "Forcing a recovery..."
+    onnode -q 0 ctdb recover
+    sleep_for 1
+    echo "Forcing a recovery..."
+    onnode -q 0 ctdb recover
+
+    echo "ctdb is ready"
+}
+
+# This assumes that ctdbd is not running on the given node.
+ctdb_start_1 ()
+{
+    local pnn="$1"
+    shift # "$@" is passed to ctdbd start.
+
+    echo -n "Starting CTDB on node ${pnn}..."
+    
+    if [ -n "$CTDB_NODES_SOCKETS" ] ; then
+	daemons_start_1 $pnn "$@"
+    else
+	onnode $pnn $CTDB_TEST_WRAPPER _ctdb_start "$@"
     fi
+
+    # If we're starting only 1 node then we're doing something weird.
+    ctdb_restart_when_done
 }
 
 restart_ctdb ()
 {
+    # "$@" is passed to ctdbd start.
+
     echo -n "Restarting CTDB"
     if $ctdb_test_restart_scheduled ; then
 	echo -n " (scheduled)"
     fi
     echo "..."
     
-    local i
-    for i in $(seq 1 5) ; do
+    local i=0
+    while : ; do
 	if [ -n "$CTDB_NODES_SOCKETS" ] ; then
 	    daemons_stop
-	    daemons_start $CTDB_TEST_NUM_DAEMONS
+	    daemons_start "$@"
 	else
-	    onnode -p all $CTDB_TEST_WRAPPER _restart_ctdb 
+	    onnode -p all $CTDB_TEST_WRAPPER _restart_ctdb "$@"
 	fi && break
 
-	echo "That didn't seem to work - sleeping a while and trying again..."
+	i=$(($i + 1))
+	[ $i -lt 5 ] || break
+
+	echo "That didn't seem to work - sleeping for a while..."
 	sleep_for 5
     done
 	
diff --git a/tests/simple/09_ctdb_ping.sh b/tests/simple/09_ctdb_ping.sh
index e283683..dcc5edf 100755
--- a/tests/simple/09_ctdb_ping.sh
+++ b/tests/simple/09_ctdb_ping.sh
@@ -47,7 +47,7 @@ sanity_check_output \
 
 try_command_on_node -v 0 "$CTDB shutdown -n 1"
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status 1 disconnected
+wait_until_node_has_status 1 disconnected
 
 try_command_on_node -v 0 "! $CTDB ping -n 1"
 
diff --git a/tests/simple/18_ctdb_freeze.sh b/tests/simple/18_ctdb_freeze.sh
index 7c558ad..792a4ee 100755
--- a/tests/simple/18_ctdb_freeze.sh
+++ b/tests/simple/18_ctdb_freeze.sh
@@ -45,4 +45,4 @@ echo "Freezing node $test_node"
 
 try_command_on_node 0 $CTDB freeze -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node frozen
+wait_until_node_has_status $test_node frozen
diff --git a/tests/simple/19_ctdb_thaw.sh b/tests/simple/19_ctdb_thaw.sh
index a9b1965..7bbf490 100755
--- a/tests/simple/19_ctdb_thaw.sh
+++ b/tests/simple/19_ctdb_thaw.sh
@@ -46,10 +46,10 @@ echo "Freezing node $test_node"
 
 try_command_on_node 0 $CTDB freeze -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node frozen
+wait_until_node_has_status $test_node frozen
 
 echo "That worked!  Now thawing node $test_node"
 
 try_command_on_node 0 $CTDB thaw -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node unfrozen
+wait_until_node_has_status $test_node unfrozen
diff --git a/tests/simple/20_ctdb_getmonmode.sh b/tests/simple/20_ctdb_getmonmode.sh
index afbf24d..eab3dad 100755
--- a/tests/simple/20_ctdb_getmonmode.sh
+++ b/tests/simple/20_ctdb_getmonmode.sh
@@ -63,4 +63,4 @@ fi
 
 try_command_on_node -v 0 $CTDB disablemonitor -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node monoff
+wait_until_node_has_status $test_node monoff
diff --git a/tests/simple/21_ctdb_disablemonitor.sh b/tests/simple/21_ctdb_disablemonitor.sh
index 1797ed4..e7f8f3a 100755
--- a/tests/simple/21_ctdb_disablemonitor.sh
+++ b/tests/simple/21_ctdb_disablemonitor.sh
@@ -65,7 +65,7 @@ ctdb_test_exit_hook_add "onnode $test_node rm -vf $trigger"
 echo "Creating trigger file on node $test_node to make it unhealthy..."
 try_command_on_node $test_node touch "$trigger"
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node unhealthy $monitor_interval
+wait_until_node_has_status $test_node unhealthy $monitor_interval
 
 try_command_on_node -v $test_node ls -l "$detected"
 
@@ -81,7 +81,7 @@ sanity_check_output \
     '^Monitoring mode:DISABLED$' \
     "$out"
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node monoff
+wait_until_node_has_status $test_node monoff
 
 try_command_on_node -v $test_node rm -v "$detected"
 
diff --git a/tests/simple/22_ctdb_enablemonitor.sh b/tests/simple/22_ctdb_enablemonitor.sh
index 6b40427..772b386 100755
--- a/tests/simple/22_ctdb_enablemonitor.sh
+++ b/tests/simple/22_ctdb_enablemonitor.sh
@@ -59,7 +59,7 @@ sanity_check_output \
     '^Monitoring mode:DISABLED$' \
     "$out"
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node monoff
+wait_until_node_has_status $test_node monoff
 
 trigger="/tmp/ctdb-test-unhealthy-trigger.${test_node}"
 detected="/tmp/ctdb-test-unhealthy-detected.${test_node}"
@@ -87,7 +87,7 @@ sanity_check_output \
     '^Monitoring mode:ACTIVE$' \
     "$out"
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node monon
+wait_until_node_has_status $test_node monon
 
 sleep_for $monitor_interval
 
@@ -95,6 +95,6 @@ try_command_on_node $test_node test -e "$detected"
 
 echo "OK: flag file was created so monitoring must be enabled."
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node unhealthy $monitor_interval
+wait_until_node_has_status $test_node unhealthy $monitor_interval
 
 try_command_on_node -v $test_node ls -l "$detected"
diff --git a/tests/simple/26_ctdb_config_check_error_on_unreachable_ctdb.sh b/tests/simple/26_ctdb_config_check_error_on_unreachable_ctdb.sh
index fae0c31..5c5298a 100755
--- a/tests/simple/26_ctdb_config_check_error_on_unreachable_ctdb.sh
+++ b/tests/simple/26_ctdb_config_check_error_on_unreachable_ctdb.sh
@@ -52,7 +52,7 @@ echo "There are $num_nodes nodes."
 echo "Shutting down node ${test_node}..."
 try_command_on_node $test_node $CTDB shutdown
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disconnected
+wait_until_node_has_status $test_node disconnected
 
 pat="ctdb_control error: 'ctdb_control to disconnected node'|Node $test_node is DISCONNECTED"
 
diff --git a/tests/simple/31_ctdb_disable.sh b/tests/simple/31_ctdb_disable.sh
index 52334f9..8635816 100755
--- a/tests/simple/31_ctdb_disable.sh
+++ b/tests/simple/31_ctdb_disable.sh
@@ -47,7 +47,7 @@ echo "Disabling node $test_node"
 try_command_on_node 1 $CTDB disable -n $test_node
 
 # Avoid a potential race condition...
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 if wait_until_ips_are_on_nodeglob "[!${test_node}]" $test_node_ips ; then
     echo "All IPs moved."
diff --git a/tests/simple/32_ctdb_enable.sh b/tests/simple/32_ctdb_enable.sh
index cf0abe8..4c1026e 100755
--- a/tests/simple/32_ctdb_enable.sh
+++ b/tests/simple/32_ctdb_enable.sh
@@ -49,7 +49,7 @@ select_test_node_and_ips
 echo "Disabling node $test_node"
 try_command_on_node 1 $CTDB disable -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node disabled
+wait_until_node_has_status $test_node disabled
 
 if wait_until_ips_are_on_nodeglob "[!${test_node}]" $test_node_ips ; then
     echo "All IPs moved."
@@ -61,7 +61,7 @@ fi
 echo "Reenabling node $test_node"
 try_command_on_node 1 $CTDB enable -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node enabled
+wait_until_node_has_status $test_node enabled
 
 # BUG: this is only guaranteed if DeterministicIPs is 1 and
 #      NoIPFailback is 0.
diff --git a/tests/simple/41_ctdb_stop.sh b/tests/simple/41_ctdb_stop.sh
index 976b88f..9e95eda 100755
--- a/tests/simple/41_ctdb_stop.sh
+++ b/tests/simple/41_ctdb_stop.sh
@@ -45,7 +45,7 @@ select_test_node_and_ips
 echo "Stopping node ${test_node}..."
 try_command_on_node 1 $CTDB stop -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node stopped
+wait_until_node_has_status $test_node stopped
 
 if wait_until_ips_are_on_nodeglob "[!${test_node}]" $ips ; then
     echo "All IPs moved."
diff --git a/tests/simple/42_ctdb_continue.sh b/tests/simple/42_ctdb_continue.sh
index 6e3870f..b472420 100755
--- a/tests/simple/42_ctdb_continue.sh
+++ b/tests/simple/42_ctdb_continue.sh
@@ -47,7 +47,7 @@ select_test_node_and_ips
 echo "Stopping node ${test_node}..."
 try_command_on_node 1 $CTDB stop -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node stopped
+wait_until_node_has_status $test_node stopped
 
 if wait_until_ips_are_on_nodeglob "[!${test_node}]" $ips ; then
     echo "All IPs moved."
@@ -59,7 +59,7 @@ fi
 echo "Continuing node $test_node"
 try_command_on_node 1 $CTDB continue -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node notstopped
+wait_until_node_has_status $test_node notstopped
 
 # BUG: this is only guaranteed if DeterministicIPs is 1 and
 #      NoIPFailback is 0.
diff --git a/tests/simple/43_stop_recmaster_yield.sh b/tests/simple/43_stop_recmaster_yield.sh
index c5edc77..a47991e 100755
--- a/tests/simple/43_stop_recmaster_yield.sh
+++ b/tests/simple/43_stop_recmaster_yield.sh
@@ -40,7 +40,7 @@ test_node=$out
 echo "Stopping node ${test_node} - it is the current recmaster..."
 try_command_on_node 1 $CTDB stop -n $test_node
 
-onnode 0 $CTDB_TEST_WRAPPER wait_until_node_has_status $test_node stopped
+wait_until_node_has_status $test_node stopped
 
 echo "Checking which node is the recovery master now..."
 try_command_on_node -v 0 "$CTDB recmaster"


-- 
CTDB repository


More information about the samba-cvs mailing list